#include "mainwindow.h"

#include <QTranslator>


int main(int argc, char *argv[])
{
    QApplication a(argc, argv);
    QTranslator myappTranslator;

    QLocale localeName = QLocale::system();
    QString localeFile = "/usr/share/locale/" + localeName.name()  + "/LC_MESSAGES/RsyncUI_" + localeName.name() + ".qm";
    if (myappTranslator.load(localeFile))
    {
          a.installTranslator(&myappTranslator);
    }

    MainWindow w;
    w.show();
    return a.exec();
}
